import s from './Spoiler.module.css';

interface ISpoilerProps {
  header?: React.ReactNode;
  open?: boolean;
  children?: React.ReactNode;
}

const Spoiler = ({ header, open, children }: ISpoilerProps) => {
  return open ? (
    <div className={s.spoilerWrapper}>
      {header && header}
      <h2>This is hidden content in Spoiler component</h2>
      {children && children}
    </div>
  ) : null;
};

export default Spoiler;
